Terminal
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST |
Create terminal ai
Stream a terminal model response through PostHog AI. Requires organization approval for AI data processing. SDK consumers must use getTerminalAiCreateUrl() with streaming fetch. The generated JSON client buffers the response and cannot parse SSE.
Required API key scopes
conversation:writeQuery parameters
- formatstringOne of:
"json""txt"
Request parameters
- model
- messagesarray
- max_tokensinteger
- streambooleanDefault:
true - system
- toolsarray
- temperature
Example request
POST /api /projects /:project_id /terminal_ai










